### Method

# Gtk TextIter forward_char

#### Declaration [src]

    gboolean
    gtk_text_iter_forward_char (
      GtkTextIter* iter
    )

#### Description [src]

Moves `iter` forward by one character offset.

Note that images embedded in the buffer occupy 1 character slot, so this function may actually move onto an image instead of a character, if you have images in your buffer. If `iter` is the end iterator or one character before it, `iter` will now point at the end iterator, and this function returns `FALSE` for convenience when writing loops.

#### Return value

Returns: | `gboolean`
| Whether `iter` moved and is dereferenceable.